import type { Element, Root } from "hast";
import { visit } from "unist-util-visit";

export default function rehypeBuckTable() {
  return function (tree: Root) {
    visit(tree, "element", function (node, index, parent) {
      if (node.tagName === "table") {
        const newNode = {
          type: "element",
          tagName: "div",
          properties: {
            class: "table-responsive",
            "data-buck-baked": "true",
          },
          children: [node],
        } satisfies Element;

        parent!.children[index!] = newNode;
      }
    });
  };
}
